# Class PropertyUtils

java.lang.Object
picard.util.PropertyUtils

public class PropertyUtils extends Object
Utility for loading properties files from resources.

## Constructor Summary

Constructors
Constructor
Description
`PropertyUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`loadPropertiesFile(String propertyFilePath, Class<?> clazz)`
Attempt to load a Properties object from an on-disk properties file.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyUtils

public PropertyUtils()

## Method Details

### loadPropertiesFile

public static Properties loadPropertiesFile(String propertyFilePath, Class<?> clazz)
Attempt to load a Properties object from an on-disk properties file.

Parameters:
  `propertyFilePath` - name of the properties file to load. Must have a .properties extension
  `clazz` - class used to obtain a class loader to use to locate the properties file
Returns:
  null if the files doesn't exist or isn't readable, otherwise a Properties object